package top.r3944realms.lib39.client.shader;

import net.minecraft.client.renderer.ShaderInstance;

/**
 * The type Lib 39 shaders.
 */
public class Lib39Shaders {
    /**
     * Gets ring shader.
     *
     * @return the ring shader
     */
    public static ShaderInstance getRingShader() {
        return ringShader;
    }

    /**
     * The Ring shader.
     */
    static ShaderInstance ringShader;

    /**
     * Gets selection shader.
     *
     * @return the selection shader
     */
    public static ShaderInstance getSelectionShader() {
        return selectionShader;
    }

    /**
     * Sets ring shader.
     *
     * @param ringShader the ring shader
     */
    public static void setRingShader(ShaderInstance ringShader) {
        Lib39Shaders.ringShader = ringShader;
    }

    /**
     * Sets selection shader.
     *
     * @param selectionShader the selection shader
     */
    public static void setSelectionShader(ShaderInstance selectionShader) {
        Lib39Shaders.selectionShader = selectionShader;
    }

    /**
     * The Selection shader.
     */
    static ShaderInstance selectionShader;

}
